Update an outbound group preset
curl --request PATCH \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VIP dealer groups",
"group_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VIP dealer groups', group_ids: ['018f06e2-4f8d-7c01-8a0d-cc6fd78f7300']})
};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id}"
payload = {
"name": "VIP dealer groups",
"group_ids": ["018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
Update an outbound group preset
PATCH
/
v2
/
outbound
/
group-presets
/
{preset_id}
Update an outbound group preset
curl --request PATCH \
--url https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "VIP dealer groups",
"group_ids": [
"018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VIP dealer groups', group_ids: ['018f06e2-4f8d-7c01-8a0d-cc6fd78f7300']})
};
fetch('https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id}"
payload = {
"name": "VIP dealer groups",
"group_ids": ["018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"name": "<string>",
"group_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at_ms": 123,
"updated_at_ms": 123,
"description": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json